MAKEIOCREADY(9)

NAME
MakeIocReady - Get IOC to a READY state, using KickStart if needed.

SYNOPSIS

int MakeIocReady(MPT_ADAPTER * ioc, int force, int sleepFlag);

ARGUMENTS

ioc
    Pointer to MPT_ADAPTER structure

force
    Force hard KickStart of IOC

sleepFlag
    Specifies whether the process can sleep

RETURNS

1 - DIAG reset and READY 0 - READY initially OR soft reset and READY -1 - Any failure on KickStart -2 - Msg Unit Reset Failed -3 - IO Unit Reset Failed -4 - IOC owned by a PEER

COPYRIGHT